qca_tools.h File Reference
`#include "qca_export.h"`
`#include <QMetaType>`
`#include <QSharedData>`
`#include <QSharedDataPointer>`
Include dependency graph for qca_tools.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | QCA::BigInteger
class | QCA::MemoryRegion
class | QCA::SecureArray

## Namespaces

namespace | QCA

## Functions

QCA_EXPORT const SecureArray | QCA::operator+ (const SecureArray &a, const SecureArray &b)
QCA_EXPORT void * | qca_secure_alloc (int bytes)
QCA_EXPORT void | qca_secure_free (void *p)
QCA_EXPORT void * | qca_secure_realloc (void *p, int bytes)

## Detailed Description

Header file for "tool" classes used in QCA.

These classes differ from those in qca_support.h, in that they have some cryptographic relationship, and require secure memory.

Note
  You should not use this header directly from an application. You should just use #include <QtCrypto> instead.

## Function Documentation

## qca_secure_alloc()

QCA_EXPORT void * qca_secure_alloc | ( | int | bytes | ) |

Allocate a block of memory from the secure memory pool.

This is intended to be used when working with C libraries.

Parameters

  bytes | the number of bytes to allocate

## qca_secure_free()

QCA_EXPORT void qca_secure_free | ( | void * | p | ) |

Free (de-allocate) a block of memory that has been previously allocated from the secure memory pool.

This is intended to be used when working with C libraries.

Parameters

  p | pointer to the block of memory to be free'd

## qca_secure_realloc()

QCA_EXPORT void * qca_secure_realloc | ( | void * | p,
|  | int | bytes )

Resize (re-allocate) a block of memory that has been previously allocated from the secure memory pool.

Parameters

  p | pointer to the block of memory to be resized.
  bytes | the new size that is required.